Feedback on the HP ProLiant DL360 Gen9

Asked by fergalmeath

Hi,

Is there any plan to add support for the HP B140i storage controller in future releases of 16.04?

Regards,
Fergal

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu-Certification Edit question
Assignee:
Jeff Lane Edit question
Solved by:
Narinder Gupta
Solved:
Last query:
Last reply:
Revision history for this message
Narinder Gupta (narindergupta) said :
#1

Unfortunately no. HP has decided to stopped producing hpdsa driver for Ubuntu to support B140i controller in dynamic smart array mode. Only available dkms driver is for kernel 3.13 and no new kernel support is planned or will be available in the future.

But you can ahci legacy mode to use the same controller. Also scripts from HP maas a easy bios change through MAAS installations now. Based on controller available it will convert the dynamic smart array to ahci.

Revision history for this message
fergalmeath (fergalmeath) said :
#2

Thanks Narinder,
do you know if RAID and hotplug features will work in AHCI mode on this platform?

Revision history for this message
fergalmeath (fergalmeath) said :
#3

... to clarify...
Is HDD hotplug available on this platform when it's configured in AHCI mode?
If so will Ubuntu 16.04 Software RAID work with hotplug?

Revision history for this message
Best Narinder Gupta (narindergupta) said :
#4

this is not a certification issue. But yes you configure the software raids through mdraid or some other raid software with ahci and configure hotplug. Canonical do not test and certify raid configuration with hotplug though.

Any hardware or firmware issues should be resolved and won't covered in Ubuntu support or part of Ubuntu certification.

Revision history for this message
fergalmeath (fergalmeath) said :
#5

Apologies for questioning outside of certification, I was just trying to fully understand the consequences.
Thanks.